com.pixelmed.apps

## Class DoseUtility.OurReceivedObjectHandler

- java.lang.Object
- - com.pixelmed.network.ReceivedObjectHandler
  - - com.pixelmed.apps.DoseUtility.OurReceivedObjectHandler

Enclosing class:
  DoseUtility

    protected class DoseUtility.OurReceivedObjectHandler
    extends ReceivedObjectHandler

### Constructor Summary

Constructors
`protected` `DoseUtility.OurReceivedObjectHandler()`

### Method Summary

Methods
`void` `sendReceivedObjectIndication(java.lang.String dicomFileName, java.lang.String transferSyntax, java.lang.String callingAETitle)` Do something with the received data set stored in the specified file name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DoseUtility.OurReceivedObjectHandler

    protected DoseUtility.OurReceivedObjectHandler()

### Method Detail

#### sendReceivedObjectIndication

    public void sendReceivedObjectIndication(java.lang.String dicomFileName,
                                    java.lang.String transferSyntax,
                                    java.lang.String callingAETitle)
                                      throws DicomNetworkException,
                                             DicomException,
                                             java.io.IOException

Description copied from class: `ReceivedObjectHandler`

Do something with the received data set stored in the specified file name.

Specified by:
  `sendReceivedObjectIndication` in class `ReceivedObjectHandler`
Parameters:
  `dicomFileName` - where the received data set has been stored
  `transferSyntax` - the transfer syntax in which the data set was received and is stored
  `callingAETitle` - the AE title of the caller who sent the data set
Throws:
  `DicomNetworkException`
  `DicomException`
  `java.io.IOException`